#include <P16F886.h>
#include <P16F886_bits.h>
#include <PortBits.h>
#include <DataLib.h>
#include <delays.h>

#define APROCFREQ 20000000

#define BITSIZE 14
#define BOOTADDRESS 0
#define FIRSTRAM 0x00
#define LASTRAM 0x170
#define HASOSCCAL 0
#define nPAGESRAM 4
#define nPAGESROM 4
//
// Header file - should be included in all C files used within the program
// This file is created automatically and should not be changed
//

//
// Functions
//
void UserInitialise();			// Your initialisation code
void UserInterrupt();			// Your interrupt code
void UserLoop();			// your Main loop code


// **********
//
// Interrupt Driven Serial Interface
//
// **********
#define SerIntUsed 1
#pragma asmline _SerIntUsed=1
#define SerIntIntUsed 1
#pragma asmline _SerIntIntUsed=1
#define SERINTRATE 19200
#pragma asmline _SERINTRATE=19200
#define USEXON 0
#pragma asmline _USEXON=0
#define RXBUFSZ 32
#pragma asmline _RXBUFSZ=32
#define TXBUFSZ 8
#pragma asmline _TXBUFSZ=8
#define RxPort PORTC
#define RxBit 7
#pragma asmline _RxPort=PORTC
#pragma asmline _RxBit=7
#define TxPort PORTC
#define TxBit 6
#pragma asmline _TxPort=PORTC
#pragma asmline _TxBit=6
// **********
//
// Timer 1
//
// **********
#define Tmr1Used 1
#define EnTimer1 1
#define T1_UseOsc 1
#define SyncT1Inp 1
#define EnT1Osc 0
#define T1_PSD 8
// **********
//
// Compare Module 1
//
// **********
#define Comp1Used 1
#define CompareMode1 ClearTMR1
#define InitCV1 62500
#define Compare1Port PORTC
#define Compare1Bit 2
// **********
//
// Wait for W milli-seconds
//
// **********
#define WaitWmUsed 1

// **********
//
// Application Designer Variables
//
// **********


// Defines specified by 1 or more elements

